server:
  port: 9117
spring:
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
  profiles:
    active: dev
  application:
    name: @artifactId@
  datasource:
    dynamic:
      primary: master #设置默认的数据源，默认值为master
      strict: false   #是否弃用严格模式，如果启用在味匹配到指定数据源时抛出异常
      datasource:
        #公司病案的文件服务数据库
        master:
          url: jdbc:log4jdbc:mysql://db.docus.cn:3306/docus_recovery?autoReconnect=true&allowMultiQueries=true&useSSL=false&useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai
          username: docus
          password: docus702
          driver-class-name: net.sf.log4jdbc.sql.jdbcapi.DriverSpy
          type: com.alibaba.druid.pool.DruidDataSource
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 200MB
  redis:
    host: redis.docus.cn
    password: JSdocus@702
  cloud:
    nacos:
      discovery:
        server-addr: nacos.docus.cn
        namespace: 34acdf7a-9fc6-4bbd-8aea-9a47c8007ad5
      config:
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        namespace: 34acdf7a-9fc6-4bbd-8aea-9a47c8007ad5
        file-extension: yml
        shared-configs:
          - comm.${spring.cloud.nacos.config.file-extension}

mybatis-plus:
  configuration:
    map-underscore-to-camel-case: true
    call-setters-on-nulls: true
    jdbc-type-for-null: null
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  global-config:
    db-config:
      update-strategy: ignored
      field-strategy: NOT_EMPTY
      db-type: MYSQL
  mapper-locations: classpath*:/mapper/*Mapper.xml
  type-enums-package: com.docus.server.enums

file:
  uploadFolder: D://docus/source/
  uploadCompressFolder: D://docus/compress/
  uploadCutFolder: D://docus/cut/

ocr:
  api-url: http://192.168.16.85:9999/uploadfile

download:
  api-url: http://localhost:9291/api/downplatform/uploadFileBatch